/*
 * Level.java
 *
 */

package com.uvigo.tMaestro.SCOCreator.tool.metadata;

/**
 * La clase mantiene informacion sobre una categoria de los metadatos
 * presentados por el formulario. Es una clase auxiliar que se utilza en
 * la generacion del formulario de metadatos y que se utiliza para leer sus 
 * valores en el momento de la creacion del fichero .xml de metadatos
 * @author raul
 * @version 0.1
 */
public class Level {
    
    /**
     * Nombre de la categoria
     */
    private String sName;
    
    /**
     * Nombre para mostrar en pantalla
     */
    private String sScreenName;
    
    /**
     * ArrayList con los elementos de la categoria
     */
    private java.util.ArrayList<Element> oElements;
    
    /**
     * Contructor de la clase
     */
    public Level(String sName,String sScreenName,java.util.ArrayList<Element> oElements) {
        this.sName = sName;
        this.oElements=oElements;
        this.sScreenName=sScreenName;
    }
    
    /**
     * Devuelve el nombre de la categoria
     */
    public String getName() {
        return sName;
    }
    
    /**
     * Esta funcion devuelve el nombre de pantalla
     * de la categoria
     */
    public String getScreenName() {
        return sScreenName;
    }
    
    /**
     * Devuelve el elemento
     * de indice iIndex. Null en caso contrario
     */
    public Element getElement(int iIndex) {
        if (oElements==null) return null;
        return oElements.get(iIndex);
        
    }
    
    /**
     * Devuelve el numero de elementos de este level
     */
    public int sizeElements() {
        if (oElements==null) return 0;
        return oElements.size();
    }
    
}
